### Signal

# Clutter Text::delete-text

#### Declaration

    void
    delete_text (
      ClutterText* self,
      gint start_pos,
      gint end_pos,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when text is deleted from the actor by the user. It is emitted before `self` text changes.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`start_pos`

  Type: `gint`

  The starting position.

`end_pos`

  Type: `gint`

  The end position.